use strict;
use Test::More qw/no_plan/;
use t::Test;

use_ok("File::Assets::ButMaintained");

{
    my $assets = t::Test->assets(
        output_path => [ [ qw/* %n%-l.%e/ ] ],
        filter => [
            [ css => 'minifier', ],
            [ js => 'minifier', ],
        ],
    );
    my $scratch = t::Test->scratch;

    $assets->include("css/apple.css");
    $assets->export;
    $scratch->read("static/assets.css");
    $scratch->delete("static/assets.css");
}

{
    my $assets = t::Test->assets(
        output_path => [ [ qw/* %n%-l.%e/ ] ],
        filter => [
            [ css => 'minifier', ],
            [ js => 'minifier', ],
        ],
    );
    my $scratch = t::Test->scratch;

    ok($assets->include_content(<<_END_, "css", { inline => 0 }));
div {
    background: red;
}
_END_

    $assets->export;
    $scratch->read("static/assets.css");
    $scratch->delete("static/assets.css");
}
